### Interface

# Gtk CellEditable

deprecated: 4.10

#### Description [src]

    interface Gtk.CellEditable : Gtk.Widget

Interface for widgets that can be used for editing cells

The `GtkCellEditable` interface must be implemented for widgets to be usable to edit the contents of a `GtkTreeView` cell. It provides a way to specify how temporary widgets should be configured for editing, get the new value, etc.

Deprecated since: 4.10

List views use widgets for displaying their contents. See `GtkEditable` for editable text widgets.

#### Prerequisite

In order to implement CellEditable, your type must inherit from`GtkWidget`.

#### Implementations

- GtkComboBox
- GtkComboBoxText
- GtkEntry
- GtkSpinButton

#### Instance methods

###### gtk_cell_editable_editing_done

Emits the `GtkCellEditable::editing-done` signal.

deprecated: 4.10

###### gtk_cell_editable_remove_widget

Emits the `GtkCellEditable::remove-widget` signal.

deprecated: 4.10

###### gtk_cell_editable_start_editing

Begins editing on a `cell_editable`.

deprecated: 4.10

#### Properties

###### Gtk.CellEditable:editing-canceled

Indicates whether editing on the cell has been canceled.

#### Signals

###### Gtk.CellEditable::editing-done

This signal is a sign for the cell renderer to update its value from the `cell_editable`.

###### Gtk.CellEditable::remove-widget

This signal is meant to indicate that the cell is finished editing, and the `cell_editable` widget is being removed and may subsequently be destroyed.

#### Interface structure

    struct GtkCellEditableIface {
      void (* editing_done) (
        GtkCellEditable* cell_editable
      );
      void (* remove_widget) (
        GtkCellEditable* cell_editable
      );
      void (* start_editing) (
        GtkCellEditable* cell_editable,
        GdkEvent* event
      );

    }

No description available.

###### Interface members

`editing_done`

    void (* editing_done) (
        GtkCellEditable* cell_editable
      )

| Signal is a sign for the cell renderer to update its value from the cell_editable.

`remove_widget`

    void (* remove_widget) (
        GtkCellEditable* cell_editable
      )

| Signal is meant to indicate that the cell is finished editing, and the widget may now be destroyed.

`start_editing`

    void (* start_editing) (
        GtkCellEditable* cell_editable,
        GdkEvent* event
      )

| Begins editing on a cell_editable.

#### Virtual methods

###### Gtk.CellEditable.editing_done

Emits the `GtkCellEditable::editing-done` signal.

deprecated: 4.10

###### Gtk.CellEditable.remove_widget

Emits the `GtkCellEditable::remove-widget` signal.

deprecated: 4.10

###### Gtk.CellEditable.start_editing

Begins editing on a `cell_editable`.

deprecated: 4.10